<?xml version="1.0" encoding="utf-8" ?>
<toolkit:Popup xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
               xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
               xmlns:toolkit="http://schemas.microsoft.com/dotnet/2022/maui/toolkit"
               x:Class="KieselsteinErp.Terminal.Popups.DecimalEntryListPopup"
               xmlns:models="clr-namespace:KieselsteinErp.Terminal.Models"
               xmlns:controls="clr-namespace:KieselsteinErp.Terminal.Controls"
               xmlns:localization="clr-namespace:LocalizationResourceManager.Maui;assembly=LocalizationResourceManager.Maui"
               xmlns:m="clr-namespace:UraniumUI.Icons.MaterialIcons;assembly=UraniumUI.Icons.MaterialIcons"
               xmlns:p="clr-namespace:KieselsteinErp.Terminal.Popups"
               x:Name="Popup"
               x:DataType="p:DecimalEntryListPopup"
               CanBeDismissedByTappingOutsideOfPopup="False"
               Color="Transparent"
               Size="500,400" >
  <Border Style="{StaticResource PopupFrame}" VerticalOptions="Fill">
    <Grid RowDefinitions="Auto, * , Auto, Auto" ColumnDefinitions="*" >
      <Border Grid.Row="0" Style="{StaticResource PopupTitle}" x:Name="TitleBorder" >
        <Grid RowDefinitions="Auto" ColumnDefinitions="Auto" Margin="10" HorizontalOptions="Center" VerticalOptions="Start">
          <Label Style="{StaticResource PopupTitleLabel}" Grid.Row="0" Text="{localization:Translate EnterAmount}" VerticalOptions="Center" HorizontalOptions="Center"/>
        </Grid>
      </Border>
      <VerticalStackLayout Grid.Row="1" Padding="15" >
        <controls:NumericEntry x:Name="entry1" MinimumWidthRequest = "100" HorizontalOptions="Fill" VerticalOptions="Center"
                               Placeholder = "{Binding EntryInfo1.Placeholder}" Text="{Binding EntryInfo1.Amount}"
                               DecimalPlaces="{Binding EntryInfo1.DecimalPlaces}" MinValue="{Binding EntryInfo1.MinValue}" MaxValue="{Binding EntryInfo1.MaxValue}" Unit="{Binding EntryInfo1.Unit}" 
							   LabelText="{Binding EntryInfo1.LabelText}" RelativeLabelWidth="{Binding EntryInfo1.RelativeLabelWidth}" Completed="NumericEntry_Completed" 
                               IsVisible="True"/>
        <controls:NumericEntry x:Name="entry2" MinimumWidthRequest = "100" HorizontalOptions="Fill" VerticalOptions="Center"
                               Placeholder = "{Binding EntryInfo2.Placeholder}" Text="{Binding EntryInfo2.Amount}"
                               DecimalPlaces="{Binding EntryInfo2.DecimalPlaces}" MinValue="{Binding EntryInfo2.MinValue}" MaxValue="{Binding EntryInfo2.MaxValue}" Unit="{Binding EntryInfo2.Unit}" 
							   LabelText="{Binding EntryInfo2.LabelText}" RelativeLabelWidth="{Binding EntryInfo2.RelativeLabelWidth}" Completed="NumericEntry_Completed" 
                               IsVisible="True"/>
      </VerticalStackLayout>

      <Grid Grid.Row="3" RowDefinitions="Auto,Auto,5,Auto" ColumnDefinitions="*" Margin="10" >
        <Border IsVisible="{Binding IsInfoVisible}" BackgroundColor="{AppThemeBinding Light={StaticResource Yellow100Accent}, Dark={StaticResource Yellow200Accent}}" Padding="10">
          <HorizontalStackLayout Padding="5">
            <Image HorizontalOptions="Start">
              <Image.Source>
                <FontImageSource Size="30" FontFamily="MaterialRegular" Glyph="{x:Static m:MaterialRegular.Email}" Color="{AppThemeBinding Dark={StaticResource dark_onError}, Default={StaticResource light_onError}}" />
              </Image.Source>
            </Image>
            <Label Grid.Row="0" Text="{Binding InfoMessage}" HorizontalOptions="CenterAndExpand" VerticalOptions="Center" Margin="5,0,0,0"
                 FontSize="20" TextColor="{AppThemeBinding Default={StaticResource light_onError},Dark={StaticResource dark_onError}}" />
          </HorizontalStackLayout>
        </Border>
        <!--<Grid Grid.Row="1" x:Name="CheckboxGrid" Padding ="15" ColumnDefinitions="*,*" >
          <Label Grid.Column="0" x:Name="CheckboxLabel" VerticalOptions="Center"/>
          <Switch Grid.Column="1" x:Name="Checkbox" IsToggled="False"  />
        </Grid>-->
        <Grid Grid.Row="3" ColumnDefinitions="*,*,*" Padding="15" >
          <Button Grid.Column="2" Text="{localization:Translate Cancel}" Clicked="CloseButtonClicked" />
          <Button Grid.Column="0" x:Name="OkButton" Text="{localization:Translate Ok}" Clicked="OkButtonClicked" />
        </Grid>
      </Grid>
    </Grid>
  </Border>
</toolkit:Popup>
